]> The Tcpdump Group git mirrors - libpcap/commitdiff
Regenerate.
authorguy <guy>
Wed, 10 Nov 2004 09:21:46 +0000 (09:21 +0000)
committerguy <guy>
Wed, 10 Nov 2004 09:21:46 +0000 (09:21 +0000)
configure

index 0f2d617b9c2f15d7ab5eab0ad617b2b17ab8d165..6a6fc9b6a7e3d539dd52ffadd34741c06c46ffc4 100755 (executable)
--- a/configure
+++ b/configure
@@ -1,5 +1,5 @@
 #! /bin/sh
-# From configure.in Revision: 1.107 .
+# From configure.in Revision: 1.108 .
 # Guess values for system-dependent variables and create Makefiles.
 # Generated by GNU Autoconf 2.57.
 #
@@ -855,7 +855,9 @@ Optional Packages:
   --without-PACKAGE       do not use PACKAGE (same as --with-PACKAGE=no)
   --without-gcc           don't use gcc
   --with-pcap=TYPE        use packet capture TYPE
-  --with-dag=DIR        include DAG support (located in directory DIR, if supplied).  default=yes, on BSD and Linux, if present
+  --with-dag[=DIR]          include Endace DAG support ("yes", "no" or DIR; default="yes" on BSD and Linux if present)
+  --with-dag-includes=DIR   Endace DAG include directory
+  --with-dag-libraries=DIR  Endace DAG library directory
   --without-flex          don't use flex
   --without-bison         don't use bison
 
@@ -4362,6 +4364,7 @@ fi
 echo "$as_me:$LINENO: result: $ac_cv_lbl_proc_net_dev" >&5
 echo "${ECHO_T}$ac_cv_lbl_proc_net_dev" >&6
 
+# Check for Endace DAG card support.
 
 # Check whether --with-dag or --without-dag was given.
 if test "${with_dag+set}" = set; then
@@ -4369,12 +4372,14 @@ if test "${with_dag+set}" = set; then
 
        if test "$withval" = no
        then
+               # User doesn't want DAG support.
                want_dag=no
        elif test "$withval" = yes
        then
+               # User wants DAG support but hasn't specified a directory.
                want_dag=yes
-               dag_root=
        else
+               # User wants DAG support and has specified a directory, so use the provided value.
                want_dag=yes
                dag_root=$withval
        fi
@@ -4385,10 +4390,31 @@ else
        # Use DAG API if present, otherwise don't
        #
        want_dag=ifpresent
-       dag_root=/root/dag
 
 fi;
-ac_cv_lbl_dag_api=no
+
+
+# Check whether --with-dag-includes or --without-dag-includes was given.
+if test "${with_dag_includes+set}" = set; then
+  withval="$with_dag_includes"
+
+       # User wants DAG support and has specified a header directory, so use the provided value.
+       want_dag=yes
+       dag_include_dir=$withval
+
+fi;
+
+
+# Check whether --with-dag-libraries or --without-dag-libraries was given.
+if test "${with_dag_libraries+set}" = set; then
+  withval="$with_dag_libraries"
+
+       # User wants DAG support and has specified a library directory, so use the provided value.
+       want_dag=yes
+       dag_lib_dir=$withval
+
+fi;
+
 case "$V_PCAP" in
 linux|bpf|dag)
        #
@@ -4404,8 +4430,8 @@ linux|bpf|dag)
        # If they expressed no preference, don't include it.
        #
        if test $want_dag = yes; then
-               { { echo "$as_me:$LINENO: error: DAG support only available with 'linux' 'bpf' and 'dag' packet capture types" >&5
-echo "$as_me: error: DAG support only available with 'linux' 'bpf' and 'dag' packet capture types" >&2;}
+               { { echo "$as_me:$LINENO: error: DAG support is only available with 'linux' 'bpf' and 'dag' packet capture types" >&5
+echo "$as_me: error: DAG support is only available with 'linux' 'bpf' and 'dag' packet capture types" >&2;}
    { (exit 1); exit 1; }; }
        elif test $want_dag = yes; then
                want_dag=no
@@ -4413,63 +4439,240 @@ echo "$as_me: error: DAG support only available with 'linux' 'bpf' and 'dag' pac
        ;;
 esac
 
-if test "$with_dag" != no; then
-       echo "$as_me:$LINENO: checking whether we have DAG API" >&5
-echo $ECHO_N "checking whether we have DAG API... $ECHO_C" >&6
+ac_cv_lbl_dag_api=no
+if test "$want_dag" != no; then
+
+       echo "$as_me:$LINENO: checking whether we have DAG API headers" >&5
+echo $ECHO_N "checking whether we have DAG API headers... $ECHO_C" >&6
 
+    # If necessary, set default paths for DAG API headers and libraries.
        if test -z "$dag_root"; then
-               dag_root=$srcdir/../dag
+           dag_root=/usr/local
        fi
 
-       if test -r "$dag_root/tools" -a -r "$dag_root/include"; then
-               dag_tools_dir="$dag_root/tools"
+       if test -z "$dag_include_dir"; then
                dag_include_dir="$dag_root/include"
-       else
-               dag_tools_dir="$dag_root"
-               dag_include_dir="$dag_root"
        fi
 
-       ac_cv_lbl_dag_api=no
-       if test -r "$dag_include_dir/dagapi.h" -a -r "$dag_tools_dir/dagapi.o" -a -r "$dag_tools_dir/dagopts.o"; then
-               V_INCLS="$V_INCLS -I $dag_include_dir"
-               V_LIBS="$V_LIBS $dag_tools_dir/dagapi.o $dag_tools_dir/dagopts.o"
-               if test "$V_PCAP" != dag ; then
-                        SSRC="pcap-dag.c"
+       if test -z "$dag_lib_dir"; then
+           dag_lib_dir="$dag_root/lib"
+       fi
+
+       if test -z "$dag_tools_dir"; then
+           dag_tools_dir="$dag_root/tools"
                fi
+
+       if test -r $dag_include_dir/dagapi.h; then
                ac_cv_lbl_dag_api=yes
        fi
-       if test -r "$dag_root/lib/dagreg.c"; then # DAG 2.5.x
-               if test -r "$dag_tools_dir/dagreg.o"; then
-                       V_LIBS="$V_LIBS $dag_tools_dir/dagreg.o"
-               else
+    echo "$as_me:$LINENO: result: $ac_cv_lbl_dag_api ($dag_include_dir)" >&5
+echo "${ECHO_T}$ac_cv_lbl_dag_api ($dag_include_dir)" >&6
+fi
+
+if test $ac_cv_lbl_dag_api = yes; then
+
+       echo "$as_me:$LINENO: checking dagapi.o" >&5
+echo $ECHO_N "checking dagapi.o... $ECHO_C" >&6
+       dagapi_obj=no
+       if test -r $dag_tools_dir/dagapi.o; then
+
+           # 2.4.x.
+               dagapi_obj=$dag_tools_dir/dagapi.o
+
+       elif test -r $dag_lib_dir/dagapi.o; then
+
+           # 2.5.x.
+           dagapi_obj=$dag_lib_dir/dagapi.o
+
+    elif test -r $dag_lib_dir/libdag.a; then
+
+        # 2.5.x.
+               ar x $dag_lib_dir/libdag.a dagapi.o
+               if test -r ./dagapi.o; then
+                   dagapi_obj=./dagapi.o
+               fi
+    fi
+
+       if test $dagapi_obj = no; then
+           echo "$as_me:$LINENO: result: no (checked $dag_lib_dir  $dag_tools_dir  $dag_lib_dir/libdag.a)" >&5
+echo "${ECHO_T}no (checked $dag_lib_dir  $dag_tools_dir  $dag_lib_dir/libdag.a)" >&6
                        ac_cv_lbl_dag_api=no
+       else
+               echo "$as_me:$LINENO: result: yes ($dagapi_obj)" >&5
+echo "${ECHO_T}yes ($dagapi_obj)" >&6
                fi
+fi
+
+if test $ac_cv_lbl_dag_api = yes; then
+
+       echo "$as_me:$LINENO: checking dagopts.o" >&5
+echo $ECHO_N "checking dagopts.o... $ECHO_C" >&6
+       dagopts_obj=no
+       if test -r $dag_tools_dir/dagopts.o; then
+
+           # 2.4.x.
+               dagopts_obj=$dag_tools_dir/dagopts.o
+
+       elif test -r $dag_lib_dir/dagopts.o; then
+
+           # 2.5.x.
+           dagopts_obj=$dag_lib_dir/dagopts.o
+
+    elif test -r $dag_lib_dir/libdag.a; then
+
+        # 2.5.x.
+               ar x $dag_lib_dir/libdag.a dagopts.o
+               if test -r ./dagopts.o; then
+                   dagopts_obj=./dagopts.o
        fi
-       dag_version=
-       if test $ac_cv_lbl_dag_api = yes -a -r "$dag_root/VERSION"; then
-               dag_version=" (`cat $dag_root/VERSION`)"
        fi
-       echo "$as_me:$LINENO: result: $ac_cv_lbl_dag_api$dag_version" >&5
-echo "${ECHO_T}$ac_cv_lbl_dag_api$dag_version" >&6
-       if test $ac_cv_lbl_dag_api = no; then
-               if test "$want_dag" = yes; then
-                       { { echo "$as_me:$LINENO: error: DAG API not found under directory $dag_root; use --without-dag" >&5
-echo "$as_me: error: DAG API not found under directory $dag_root; use --without-dag" >&2;}
-   { (exit 1); exit 1; }; }
+
+       if test $dagopts_obj = no; then
+           echo "$as_me:$LINENO: result: no (checked $dag_lib_dir  $dag_tools_dir  $dag_lib_dir/libdag.a)" >&5
+echo "${ECHO_T}no (checked $dag_lib_dir  $dag_tools_dir  $dag_lib_dir/libdag.a)" >&6
+               ac_cv_lbl_dag_api=no
+       else
+               echo "$as_me:$LINENO: result: yes ($dagopts_obj)" >&5
+echo "${ECHO_T}yes ($dagopts_obj)" >&6
+       fi
+fi
+
+if test $ac_cv_lbl_dag_api = yes; then
+
+       # Under 2.5.x only we need to add dagreg.o.
+       if test -r $dag_include_dir/dagreg.h; then
+
+           echo "$as_me:$LINENO: checking dagreg.o" >&5
+echo $ECHO_N "checking dagreg.o... $ECHO_C" >&6
+           dagreg_obj=no
+           if test -r $dag_lib_dir/dagreg.o; then
+
+                 # Object file is ready and waiting.
+                 dagreg_obj=$dag_lib_dir/dagreg.o
+
+        elif test -r $dag_lib_dir/libdag.a; then
+
+                   # Extract from libdag.a.
+                       ar x $dag_lib_dir/libdag.a dagreg.o
+                       if test -r ./dagreg.o; then
+                           dagreg_obj=./dagreg.o
                fi
+               fi
+
+               if test $dagreg_obj = no; then
+                   echo "$as_me:$LINENO: result: no (checked $dag_lib_dir  $dag_lib_dir/libdag.a)" >&5
+echo "${ECHO_T}no (checked $dag_lib_dir  $dag_lib_dir/libdag.a)" >&6
+                       ac_cv_lbl_dag_api=no
        else
+                       echo "$as_me:$LINENO: result: yes ($dagreg_obj)" >&5
+echo "${ECHO_T}yes ($dagreg_obj)" >&6
+               fi
+       fi
+fi
+
+if test $ac_cv_lbl_dag_api = yes; then
+
+       V_INCLS="$V_INCLS -I$dag_include_dir"
+       V_LIBS="$V_LIBS $dagapi_obj $dagopts_obj $dagreg_obj"
+       if test $V_PCAP != dag ; then
+                SSRC="pcap-dag.c"
+       fi
+
+       # See if we can find a general version string.
+    # Don't need to save and restore LIBS to prevent -ldag being included if there's a found-action (arg 3).
+       saved_ldflags=$LDFLAGS
+       LDFLAGS="-L$dag_lib_dir"
+       echo "$as_me:$LINENO: checking for dag_attach_stream in -ldag" >&5
+echo $ECHO_N "checking for dag_attach_stream in -ldag... $ECHO_C" >&6
+if test "${ac_cv_lib_dag_dag_attach_stream+set}" = set; then
+  echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+  ac_check_lib_save_LIBS=$LIBS
+LIBS="-ldag  $LIBS"
+cat >conftest.$ac_ext <<_ACEOF
+#line $LINENO "configure"
+/* confdefs.h.  */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h.  */
+
+/* Override any gcc2 internal prototype to avoid an error.  */
+#ifdef __cplusplus
+extern "C"
+#endif
+/* We use char because int might match the return type of a gcc2
+   builtin and then its argument prototype would still apply.  */
+char dag_attach_stream ();
+int
+main ()
+{
+dag_attach_stream ();
+  ;
+  return 0;
+}
+_ACEOF
+rm -f conftest.$ac_objext conftest$ac_exeext
+if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
+  (eval $ac_link) 2>&5
+  ac_status=$?
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); } &&
+         { ac_try='test -s conftest$ac_exeext'
+  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+  (eval $ac_try) 2>&5
+  ac_status=$?
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); }; }; then
+  ac_cv_lib_dag_dag_attach_stream=yes
+else
+  echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+ac_cv_lib_dag_dag_attach_stream=no
+fi
+rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
+LIBS=$ac_check_lib_save_LIBS
+fi
+echo "$as_me:$LINENO: result: $ac_cv_lib_dag_dag_attach_stream" >&5
+echo "${ECHO_T}$ac_cv_lib_dag_dag_attach_stream" >&6
+if test $ac_cv_lib_dag_dag_attach_stream = yes; then
+  dag_version="2.5.x"
+else
+  dag_version="2.4.x"
+fi
+
+       LDFLAGS=$saved_ldflags
+
+       # See if we can find a specific version string.
+       echo "$as_me:$LINENO: checking the DAG API version" >&5
+echo $ECHO_N "checking the DAG API version... $ECHO_C" >&6
+       if test -r "$dag_root/VERSION"; then
+               dag_version="`cat $dag_root/VERSION`"
+       fi
+    echo "$as_me:$LINENO: result: $dag_version" >&5
+echo "${ECHO_T}$dag_version" >&6
 
 cat >>confdefs.h <<\_ACEOF
 #define HAVE_DAG_API 1
 _ACEOF
 
-       fi
 fi
 
-if test "$V_PCAP" = dag -a "$ac_cv_lbl_dag_api" = no; then
-       { { echo "$as_me:$LINENO: error: Specifying the capture type as 'dag' requires the DAG API to be present; use --with-dag=DIR" >&5
-echo "$as_me: error: Specifying the capture type as 'dag' requires the DAG API to be present; use --with-dag=DIR" >&2;}
+if test $ac_cv_lbl_dag_api = no; then
+       if test "$want_dag" = yes; then
+        # User wanted DAG support but we couldn't find it.
+               { { echo "$as_me:$LINENO: error: DAG API requested, but not found at $dag_root: use --without-dag" >&5
+echo "$as_me: error: DAG API requested, but not found at $dag_root: use --without-dag" >&2;}
    { (exit 1); exit 1; }; }
+       fi
+
+    if test "$V_PCAP" = dag; then
+           # User requested "dag" capture type but the DAG API wasn't found.
+           { { echo "$as_me:$LINENO: error: Specifying the capture type as \"dag\" requires the DAG API to be present; use the --with-dag options to specify the location. (Try \"./configure --help\" for more information.)" >&5
+echo "$as_me: error: Specifying the capture type as \"dag\" requires the DAG API to be present; use the --with-dag options to specify the location. (Try \"./configure --help\" for more information.)" >&2;}
+   { (exit 1); exit 1; }; }
+    fi
 fi
 
 
@@ -4735,6 +4938,7 @@ cat >>confdefs.h <<\_ACEOF
 _ACEOF
 
        ;;
+
 darwin*)
        DYEXT="dylib"
        V_CCOPT="$V_CCOPT -fno-common"